[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TComboExItems.Insert

Inserts a collection item at the specified position in the collection.

## Declaration

Source position: comboex.pas line 131

`public function TComboExItems.Insert(`
`AIndex: Integer`
`):TComboExItem;`

## Arguments

`AIndex` |  | Ordinal position in the collection where the new item is inserted.

## Function result

Collection item created and stored at the specified position.

## Description

Insert is a TComboExItem function used to insert a new collection item at the specified position in the collection. Insert reimplements the method in TCollection to create and return the TComboExItem type used in the derived collection. Inserts calls the inherited method, and casts the return value to a TComboExItem type.

## See also

TComboExItem |  | Implements an extended item used in TComboEx.
TComboExItems.Add |  | Adds a new item to the collection.
TComboExItems.AddItem |  | Adds a new item with the specified values to the collection.
TCollection.Insert